## org.eclipse.emf.common.ui.action
Class WorkbenchWindowActionDelegate

    java.lang.Object
      org.eclipse.emf.common.ui.action.WorkbenchWindowActionDelegate

All Implemented Interfaces:
  IActionDelegate, IWorkbenchWindowActionDelegate

    public abstract class WorkbenchWindowActionDelegate

extends java.lang.Object
implements IWorkbenchWindowActionDelegate

Simple implementation of `IWorkbenchWindowActionDelegate`.

Constructor Summary
`WorkbenchWindowActionDelegate()`

Method Summary
`void` `dispose()`
`protected ISelection` `getSelection()`
`protected IWorkbenchWindow` `getWindow()`
`void` `init(IWorkbenchWindow window)`
`void` `selectionChanged(IAction action, ISelection selection)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.ui.IActionDelegate
`run`

Constructor Detail

### WorkbenchWindowActionDelegate

    public WorkbenchWindowActionDelegate()

Method Detail

### getWindow

    protected IWorkbenchWindow getWindow()

  Returns:
    the `IWorkbenchWindow` associated with this instance.

### getSelection

    protected ISelection getSelection()

  Returns:
    the `ISelection`.

### init

    public void init(IWorkbenchWindow window)

  Specified by:
    `init` in interface `IWorkbenchWindowActionDelegate`

### selectionChanged

    public void selectionChanged(IAction action,
                                 ISelection selection)

  Specified by:
    `selectionChanged` in interface `IActionDelegate`

### dispose

    public void dispose()

  Specified by:
    `dispose` in interface `IWorkbenchWindowActionDelegate`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.